Package org.eclipse.cdt.core.dom.ast

## Interface IASTComment

All Superinterfaces:
  `IASTNode`

    public interface IASTComment
    extends IASTNode

This class represents a comment.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static IASTComment[]` `EMPTY_COMMENT_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`char[]` `getComment()` Returns a char array representation of the comment.
`boolean` `isBlockComment()` Returns true if this is a block comment.
`void` `setComment​(char[] comment)` Sets the comment.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_COMMENT_ARRAY

    static final IASTComment[] EMPTY_COMMENT_ARRAY

Since:
  5.4

### Method Detail

#### setComment

    void setComment​(char[] comment)

Sets the comment.

Parameters:
  `comment` - the text of the comment

#### getComment

    char[] getComment()

Returns a char array representation of the comment.

#### isBlockComment

    boolean isBlockComment()

Returns true if this is a block comment.